* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
}

html {
    overflow-x: hidden;
}

body {
    background-color: #121212;
    color: #FFFFFF;
    max-width: 100%;
    overflow-x: hidden;
}

main {
    min-height: calc(100vh - 608px);
}

@font-face {
    font-family: 'Agrandir';
    src: url(/fonts/Agrandir-Bold.woff);
}
@font-face {
    font-family: 'WideHeavy';
    src: url(/fonts/Agrandir-WideHeavy.woff);
}

.headline{
    font-family: 'WideHeavy', sans-serif;
    font-weight: 800;
    font-size: 5rem; 
    text-transform: uppercase;
    // margin: 7rem 0 7rem 0

}


h1, .h1{
    font-family: 'WideHeavy', sans-serif;
    font-weight: 800;
    font-size: 56px; 
    text-transform: uppercase;

}
h2, .h2{
    font-family: 'Inter', sans-serif;
    font-weight: normal;
    font-size: 48px;
}
h3, .h3{
    font-family: 'Agrandir', sans-serif;
    font-weight: 800;
    font-size: 28px;
    text-transform: uppercase;

}
h4, .h4{
    font-family: 'Inter', sans-serif;
    font-weight: normal;
    font-size: 28px;
}
h5, .h5{
    font-family: 'WideHeavy', sans-serif;
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 1px;

}
p, .p{
    font-family: 'Inter', sans-serif;
    font-weight: 300;
    font-size: 16px;
}

a{
    text-decoration: none;
}

.wrap1440{
    max-width: 1440px;
    margin: 0 auto;
    padding: 10px;
}


// HEADER

#header{
    position: fixed;
    transition: .3s all;
    background-color: #121212;
    width: 100%;
    z-index: 2;
}

nav{
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .navbar-logo img{
        transform: scale(0.8);
        transition: all .4s ease-in-out;
        &:hover{
            filter: saturate(.4) contrast(1.5);
            transform: scale(0.82) skew(2deg);
        }
    }
    a{
        font-family: 'Agrandir';
        font-style: normal;
        font-size: 15px;
        font-weight: bold;
        text-align: center;
        letter-spacing: 0.30em;
        text-transform: uppercase;
        text-decoration: none;
        padding: 20px;
        color: #FFFFFF;
    }
}

.dropdown .arrow{
    transition: all .3s ease-in-out .1s;
    transform: scaleY(.1) rotate(-90deg);
}

.dropdown:hover .arrow {
    transform: scaleY(1) rotate(0deg);
}

.dropdown-content:hover ~ .arrow {
    transform: scaleY(1) rotate(0deg);
    filter: opacity(1);
}

.dropdown:hover + .dropdown-content,
.dropdown-content:hover{
    filter: opacity(1);
    transform: scaleY(1);
}

.dropdown-content{
    background: #252525;
    margin-top: 15px;
    border-radius: 10px;
    position: absolute;
    z-index: 2;
    display: block;
    filter: opacity(0);
    transform: scaleY(0);
    transform-origin: 20% 0%;
    transition: all .5s ease-in-out .1s;
    li, li a{
        font-family: 'Inter';
        font-weight: normal;
        letter-spacing: normal;
        text-transform: none;
        display: flex;
        align-items: center;
        img{
            padding-right: 8px;
        }
    }
}

.hover-border{
    position: relative;
    &::after{
        content: '';
        width: 0%;
        background: linear-gradient(
            to right,
            #E81D04 9.66%,
            #FCCA24 34.51%,
            #F6F8ED 52.18%,
            #02C9F3 83.66%,
            #014FD5 104.09%);
        height: 2px;
        border-radius: 10px;
        position: absolute;
        bottom: 15%;
        left: 50%;
        transition: all .15s ease-out;
        filter: grayscale(1);
    }

    &:hover::after{
        left: 10%;
        width: 80%;
        filter: grayscale(0);
    }
}

#telecharger {
    background: #121212;
    border: 1px solid #818181;
    border-radius: 50px;
    color: #818181;
    transition: all .2s ease-in-out;
    &:hover{
        color: #FFFFFF;
        border: 1px solid #FFFFFF;
        background-color: #252525;
    }
}

// FOOTER

footer{
    position: relative;
    height: 520px;
    background-color: #1D1D1D;
}
.border-footer{
    height: 1px;
    background: linear-gradient(
        to right,
        #E81D04 9.66%,
        #FCCA24 34.51%,
        #F6F8ED 52.18%,
        #02C9F3 83.66%,
        #014FD5 104.09%)
}
.grid-container-footer{
    display: grid;
    grid-template-columns: 1fr 1fr 2fr 2fr;
    color: #FFFFFF;
}
.grid-item-footer{
    padding: 0 20px;
    h3{
        margin-top: 75px;
        font-family: 'WideHeavy';
        text-transform: uppercase;
        font-size: 20px;
        margin-bottom: 25px;
    }
    ul li{
        padding: 10px 0;
    }
    a{
        font-family: 'Inter';
        font-weight: normal;
        font-size: 16px;
        text-decoration: none;
        color: #FFFFFF;
        transition: all .3s ease-out;

        &:hover{
            color: #818181;
            letter-spacing: .2px;
        }
    }
}
.copyrights{
    color: #818181;
    align-self: end;
}
.logos-footer{
    text-align: right;
    img{
        padding: 20px;
        transition: all .3s ease-out;

        &:hover{
            filter: brightness(0.6);
            transform: scale(1.05);
        }
    }
}

/// BUTTONS ///

.cta-primaire,
.cta-secondaire{
    position: relative;
    display: inline-flex;
    max-width: 100%;
    min-height: 50px;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-family: 'Agrandir';
    font-size: 1rem;
    font-weight: bold;
    letter-spacing: 2px;
    border-radius: 80px;
    text-transform: uppercase;
    padding: 1rem 1rem 1rem 1rem;
}

.cta-primaire {
    color: rgba(0,0,0,0.85);
    background: linear-gradient(
        120deg,
        rgba(232,29,4, 1) 9.66%,
        rgba(252,202,36, 1) 34.51%,
        rgba(246,248,237, 1) 52.18%,
        rgba(2,201,243, 1) 83.66%,
        rgba(1,79,213, 1) 104.89%
    );
    background-repeat: no-repeat;
    border: 1px solid white;
    padding: 5px 50px;
    transition: all .3s ease;
    z-index: 1;
}

.cta-primaire:hover{
    color: rgba(0,0,0,0.85);
}

.cta-primaire:before,
.cta-secondaire:before{
    content: '';
    position: absolute;
    display: block;
    border-radius: 80px;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    transition: all .3s ease-in-out;
    opacity: 0;
}

.cta-primaire:before {
    background: linear-gradient(
        96.47deg,
        rgba(232,112,4,1) -23.37%,
        rgba(252,202,36,1) 20.79%,
        rgba(246,248,237,1) 52.19%,
        rgba(2,201,243,1) 108.12%,
        rgba(1,79,213,1) 144.43%
    );
}

.cta-primaire:hover:before{
    opacity: 1;
}

.cta-secondaire {
    color: rgba(255,255,255,0.85);
    background: linear-gradient(
        120deg,
        rgba(232,29,4, 1) 9.66%,
        rgba(252,202,36, 1) 34.51%,
        rgba(246,248,237, 1) 52.18%,
        rgba(2,201,243, 1) 83.66%,
        rgba(1,79,213, 1) 104.89%
        );
    background-repeat: no-repeat;
    padding: 5px 50px;
    transition: all 3s ease;
    z-index: 1;
    max-width: 300px;
    border: none;
}

.cta-secondaire:before {
    background: linear-gradient(
        96.47deg,
        rgba(232,112,4,1) -23.37%,
        rgba(252,202,36,1) 20.79%,
        rgba(246,248,237,1) 52.19%,
        rgba(2,201,243,1) 108.12%,
        rgba(1,79,213,1) 144.43%
        );
    z-index: -1;
    transition: all .3s ease-in-out;
    opacity: 0;
}

.cta-secondaire:hover:before{
    opacity: 1;
}

.cta-secondaire:after {
    content: '';
    position: absolute;
    display: block;
    border-radius: 80px;
    top: 1px;
    right: 1px;
    bottom: 1px;
    left: 1px;
    background: rgba(29,29,29,1);
    z-index: -1;
    transition: all .3s linear;
    opacity: 1;
}

.cta-secondaire:hover:after{
    background: rgba(40,40,40,1);
    transition: all .3s linear;
}

/// Home page

.section-accueil{
    margin: 200px auto;
}

.section-title{
    font-family: "WideHeavy";
    font-size: 36px;
    text-transform: uppercase;
    padding: 25px 0;
    border-bottom: 1px solid #FFFFFF;
}



.bootstrap-wrapper{
    margin: 75px auto;
}

.row{
    justify-content: space-between;
    align-items: center;
}

#intro{
    div{
        width: 650px;
    }
    h3{
        font-family: "WideHeavy";
        font-size: 48px;
        line-height: 40px;
    }
    p{
        margin: 30px auto;
    }
    article{
        padding-right: 150px;
    }
}

#avantages{
    div{
        width: 430px;
        margin: 10px;
    }
    .avantage-card{
        color: #FFFFFF;
        background: #1D1D1D;
        border-radius: 20px;
        padding: 25px;
        text-align:center;

        h3{
            font-family: "WideHeavy";            
            font-size: 18px;
            margin: 20px auto;
            max-width: 60%;
            min-height: 60px;
        }
        span{
            font-family: "WideHeavy";
            font-size: 90px;
        }
        p{
            margin-top: 20px;
            text-align: left;
        }
    }
}

#compatibilite{
    div{
        text-align: center;
        margin: 5% 5%;
    }
}

#licences{
    div{
        width: 430px;
        margin: 10px;
    }    
    .licence-card{
        text-align: center;
        margin: 20px;
        color: #FFFFFF;
        background: #1D1D1D;
        border-radius: 20px;
        padding: 25px;
       
        h3{
            font-family: "WideHeavy";            
            font-size: 18px;
            margin: 20px auto 0 auto;
        }
        p{
            text-align:center;
            min-height: 50px;
        }
        span{
            font-family: "WideHeavy";
            font-size: 80px;
            color: #121212;
            -webkit-text-stroke: 1px #FFFFFF;
        }
        ul{
            font-family: 'Inter';   
            text-align: left;   
            margin: 20px;  
        }        
        li{
            line-height: 25px;
        }
    }

}

#services{
    div{
        width: 430px;
        margin: 10px;
    }    
    .service-card{
        width: 100%;
        min-height: 335px;
        color: #FFFFFF;
        background: #1D1D1D;
        border-radius: 20px;
        padding: 25px;
        h3{
            font-family: "WideHeavy";            
            font-size: 32px;
            min-height: 85px;
        }
        p{
            margin-bottom: 20px;
        }
        a{
            color: #FFFFFF;
            font-family: 'Inter';
            padding: 20px;
            display: inline-flex;
            align-items: center;
            img{
                padding-right: 13px;
            }
        }
    }
}

#contact-btn{
    text-align: center;
    margin: 30px auto;
    a{
        font-size: 14px;
        letter-spacing: normal;
        font-family: 'Inter';    
    }
}

#seo{
    display: block;
    background: #1D1D1D;
    border-radius: 20px;
    padding: 25px;
    text-align: center;
    h2{
        font-family: 'WideHeavy';
        font-size: 268px;
        width: 800px;
        margin: 0 auto;
        background: linear-gradient(
            to right,
            #E81D04 9.66%,
            #FCCA24 34.51%,
            #F6F8ED 52.18%,
            #02C9F3 83.66%,
            #014FD5 104.09%
        );
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
    h3{
        font-family: 'WideHeavy';
        max-width: 500px;
        margin: 0 auto;
        font-size: 48px;
    }
    p{
        padding: 50px;
        max-width: 400px;
        margin: 0 auto;
    }
    a{
        color: #FFFFFF;
        font-family: 'Inter';
        padding: 20px;
        display: inline-flex;
        align-items: center;
        img{
            padding-right: 13px;
        }
    }
}



.hero {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column-reverse;
    height: 80vh;
    color: white;
    font-family: 'WideHeavy'; 
    margin: 0;
}

/// STYLE

#contact{
    div{
        min-width: 20%;
    }
    p{
        line-height: 45px;
    }
    strong{
        text-transform: uppercase;
    }
}

#formulaire{
    form{
        font-family: 'Inter';
        margin: 0 auto;
        label{
            padding-left: 30px
        }
        input, textarea{
            font-family: 'Inter';
            font-size: 16px;
            width: 100%;
            display: block;
            padding: 15px;
            margin: 10px;
            resize: none;
            background-color: #1D1D1D;
            color: #848484;
            outline: none;
            border-radius: 10px;
            border: none;
        }
    }
    
}

#error-form{
    color: #ff6450;
    font-family: 'Inter';
    font-weight: bold;
}

.carte {
    border-radius: 1.25rem;
    background-color: #1D1D1D;
    display: flex;
    flex-direction: column;
    padding: 3rem 0 1rem 0;
}


.fill {
    
    overflow-x: hidden ;
    align-items: center;
    flex-direction: column;
    

}

.fillImg {
    width: 100%;
}

.treeCol {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    gap: 1rem 1rem;
    margin: 2rem 0 2rem 0;
}

// A PROPOS

.heroTextBlock {

    max-width: 40%;

}

.heroText {
    justify-content: space-between;
    align-items: center;
}

.separator {

    height: 2px;
    width: 8rem;
    background: linear-gradient(97.64deg, #E81D04 9.66%, #FCCA24 34.51%, #F6F8ED 52.18%, #02C9F3 83.66%, #014FD5 104.09%), #FFFFFF;
    margin: 0 0 2rem 0;

}

.separatorFullWidth{

    height: 2px;
    background: linear-gradient(97.64deg, #E81D04 9.66%, #FCCA24 34.51%, #F6F8ED 52.18%, #02C9F3 83.66%, #014FD5 104.09%), #FFFFFF;
    margin: 0 0 2rem 0;

}

.image-service{
    transform: scale(12);
    transform-origin: -50% 0%;
}

.carteTextbloc {
    padding: 0 1rem 1rem 1rem;
}

.carteTextblocIcons {
    display: flex;
    align-items: center;
}

.carteTextblocIconsText{

    padding: 0 0 0 1rem;

}

#linkedin, #siteperso {
    font-family: 'Agrandir';
    text-decoration: none;
    color: white;
    letter-spacing: 1px;
    display: flex;

}



#siteperso::before {

    background: url(/images/icons/websiteicon.svg) no-repeat;
    height: 20px;
    width: auto;
    display: block;
    float: left;
    background-position: left center;

}

//animation hero 





.hero2 {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column-reverse;
    height: 80vh;
    width: 100%;
    color: white;
    position: relative;

    font-family: 'WideHeavy';
    
}



.GlobalTitle{
    font-size: 8vw;
    color: #ffffff;
    line-height: 95%;
   

}
.O{
    background-color: white;
    width: 8vw;
    /* height: 6vw; */
    border-radius: 19vw;
    border: 1px solid rgb(255, 255, 255);
    background: url(../images/icons/search-solid.svg) no-repeat scroll 1vw 1vw;
    background-size: 2vw 2vw;
    background-position: 90%;
    position: relative;
    display: inline-flex;
    /* max-width: 100%; */
    color: rgb(75, 75, 75);
    font-size: 2vw;
    padding-left: 2vw;

}

.O::placeholder{

    font-size: 2vw;
    color: #4f4f4f;
}

.O:hover{
    background-color: rgb(40, 40, 40);

}
.O:focus-visible{

    outline: none;
    background-color: rgb(33, 33, 33);

}

.ring {

    display: flex;
    align-content: flex-start;
    background-color: #ffffff;
    height: 6vw;
    border-radius: 7.5vw;
    /* position: relative; */
    
}



.TopTitle{
    display: flex;
}
.BottomTitle{
    display: flex;
}
.displaynone{
    display: none;
}

// @media screen and (max-width: 600px) {
//     .GlobalTitle {
//       /* font-size: 10px; */
//     }
// }


.animationOnlyGoogle {
    display: flex;
    font-size: 7vw;
    color: #ffffff;
    font-family: 'WideHeavy';        
    line-height: 6vw;


}

.flex {
    display: flex;
}

.flexSpaceBetween {
    justify-content: space-between;
}

.alignCenter {
    text-align: center;
}

.flexColumn {
    flex-direction: column;
}

.sMarginBottom {
    margin-bottom: 2rem;
}

.animGoogle2 {

    color: #014FD5;
    position: absolute;
    animation:         animGoogle 1.1s infinite;
    animation-timing-function: ease-in-out;
    font-size: 7vw;


}
.animGoogle3 {

    color: #E81D04;
    position: absolute;
    left: 48.5%;
    animation:         animGoogle 1.1s infinite;
    animation-timing-function: ease-in-out;
    animation-delay: -0.1s;

}


.animGoogle4 {

    color: #FCCA24;
    position: absolute;
    left: 54.5%;
    animation:         animGoogle 1.1s infinite;
    animation-timing-function: ease-in-out;
    animation-delay: -0.2s;

}
.animGoogle5 {

    color: #014FD5;
    position: absolute;
    left: 60.1%;
    animation:         animGoogle 1.1s infinite;
    animation-timing-function: ease-in-out;
    animation-delay: -0.3s;

}
.animGoogle6 {

    color: #02C9F3;
    position: absolute;
    left: 66%;
    animation:         animGoogle 1.1s infinite;
    animation-timing-function: ease-in-out;
    animation-delay: -0.4s;

}
.animGoogle7 {

    color: #E81D04;
    position: absolute;
    left: 68%;
    animation:         animGoogle 1.1s infinite;
    animation-timing-function: ease-in-out;
    animation-delay: -0.5s;

}

@keyframes animGoogle {
    0%   { top: 35%; }
    50% { top: 39%; }
    100% { top: 35%; }
  }

@media screen and (max-width: 1100px) {
     @keyframes animGoogle {
        0%   { top: 39%; }
        50% { top: 42%; }
        100% { top: 39%; }
      }
  }
  @media screen and (max-width: 850px) {
    .hero2, .hero{
        height: 50vh;

    }

    .treeCol{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
        gap: 1rem 1rem;
    }

    @keyframes animGoogle {
        0%   { top: 36%; }
        50% { top: 40%; }
        100% { top: 36%; }
     }
 }
 @media screen and (max-width: 600px) {
    // .animationOnlyGoogle {
    //     font-size: 10vw;
    //     line-height: 10vw;
    // }
    @keyframes animGoogle {
       0%   { top: 45%; }
       50% { top: 47%; }
       100% { top: 45%; }
     }
 }

 @media screen and (max-width: 600px) {
    // .animationOnlyGoogle {
    //     font-size: 10vw;
    //     line-height: 10vw;
    // }
    @keyframes animGoogle {
        0%   { top: 40%; }
        50% { top: 44%; }
        100% { top: 40%; }
     }
 }
 // Page Blog
section{
    display: flex;
    flex-wrap: wrap;
    margin: 133px 30px 111px 30px;
}
h1{
    text-align: center;
    width: 100%;
    text-transform: uppercase;
}
.titleArticlesBlog{
    width: 100%;
    margin: 111px 0px 18px 0px;
}
.showFilterOnBlog{
    width: 100%;
    margin: 0px 0px 48px 0px;
}
.filter{
    justify-content: left;
    margin-bottom: 48px;
    width: 100%;
}
fieldset{
    border: none;
}
.selectFilter{
    font-size: 1.2rem;
    font-family: 'Inter', sans-serif;
    border-radius: 10px;
    margin-top: 10px;
    padding: 5px 10px;
    background-color: #1D1D1D;
    color: #454545;
    border: none;
    &:hover{
        color: #FFFFFF;
    }
}
option{
    font-family: 'Inter', sans-serif;
}
.articleBlog{
    width: 435px;
    height: auto;
    background-color: #1D1D1D;
    border-radius: 20px;
    margin-right: 17px;
    margin-bottom: 17px;
}
.titleArticleBlog{
    margin: 35px 5px 5px 5px;
    text-align: center;
    text-transform: uppercase;
    font-size: 20px;
}
.imgArticlesBlog{
    width: 100%;
}
.categoryArticleBlog{
    background-color: #121212;
    color: #818181;
    margin: 15px 10px 18px 28px;
    padding: 10px;
    border-radius: 10px;
    text-align: center;
    width: 35%;
}
.dateAuthorArticleBlog{
    font-weight: 700;
    margin: 8px 32px;
}
.resumArticleBlog{
    margin: 0px 32px 0px 32px;
}
.showArticleBlog{
    margin: 32px 0px 25px 0px;
    text-align: center;
    width: 100%;
}
.aShowArticleBlog{
    text-decoration: none;
    font-weight: bold;
    color: #FFFFFF;
    font-family: 'Inter', sans-serif;
    padding: 14px;
}

// Page article
.articleWrapper{
    display: flex;
    flex-wrap: wrap;
    margin: 133px 380px 111px 380px;
    h1{
        text-align: start;
    }
    h1::after{
        content: " :";
    }
    img{
        margin: 21px 0px 35px 0px;
        border-radius: 10px;
    }
}
.categoryArticle{
    background-color: #1D1D1D;
    color: #818181;
    margin: 15px 10px 18px 0px;
    padding: 10px;
    border-radius: 10px;
}
.infoArticle{
    justify-content: space-between;
    display: inline-flex;
    width: 100%;
    font-weight: 700;
    .authorArticle{
        font-family: 'Agrandir', sans-serif;
        font-size: 20px;
        font-weight: 800;
    }
}

.barreBlanche{
    width: 100%;
    margin-top: 2px;
    height: 1px;
    background-color: #FFFFFF;
}
.barreMulti{
    width: 18%;
    margin-bottom: 35px;
    height: 3px;
    background: linear-gradient(
                    to right,
                    #E81D04 9.66%,
                    #FCCA24 34.51%,
                    #F6F8ED 52.18%,
                    #02C9F3 83.66%,
                    #014FD5 104.09%
    )
}
